Skip to main content
GET
/
v2
/
companies
/
fields
Get metadata on Company Fields
curl --request GET \
  --url https://api.affinity.co/v2/companies/fields \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "affinity-data-industry",
      "name": "Industry",
      "type": "enriched",
      "valueType": "filterable-text-multi",
      "enrichmentSource": "affinity-data",
      "createdAt": "2024-03-07T20:21:42Z"
    },
    {
      "id": "affinity-data-last-funding-amount",
      "name": "Last Funding Amount (USD)",
      "type": "enriched",
      "valueType": "number",
      "enrichmentSource": "affinity-data",
      "createdAt": "2024-03-07T20:21:42Z"
    },
    {
      "id": "affinity-data-last-funding-date",
      "name": "Last Funding Date",
      "type": "enriched",
      "valueType": "datetime",
      "enrichmentSource": "affinity-data",
      "createdAt": "2024-03-07T20:21:42Z"
    },
    {
      "id": "affinity-data-location",
      "name": "Location",
      "type": "enriched",
      "valueType": "location",
      "enrichmentSource": "affinity-data",
      "createdAt": "2024-03-07T20:21:42Z"
    },
    {
      "id": "field-1",
      "name": "Custom global field",
      "type": "global",
      "valueType": "text",
      "enrichmentSource": null,
      "createdAt": "2024-03-07T20:21:42Z"
    },
    {
      "id": "last-email",
      "name": "Last Email",
      "type": "relationship-intelligence",
      "valueType": "interaction",
      "enrichmentSource": null,
      "createdAt": null
    },
    {
      "id": "persons",
      "name": "People",
      "type": "enriched",
      "valueType": "person-multi",
      "enrichmentSource": null,
      "createdAt": null
    }
  ],
  "pagination": {
    "prevUrl": null,
    "nextUrl": "https://api.affinity.co/v2/companies/fields?cursor=ICAgICAgIGFmdGVyOjo6NA"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

cursor
string

Cursor for the next or previous page

Example:

"ICAgICAgYmVmb3JlOjo6Nw"

limit
integer<int32>
default:100

Number of items to include in the page

Required range: 1 <= x <= 100
Example:

100

filter
string

Filter options

includes
enum<string>[]

Additional properties to include in the response

Available options:
filterability,
sortability

Response

OK

FieldMetadataPaged model

data
FieldMetadata · object[]
required

A page of FieldMetadata results

Maximum array length: 100
pagination
Pagination · object
required